package cn.com.poc.agent_application.entity;


import javax.persistence.Column;

public class BizAgentApplicationApiProfileEntity {

    private static final long serialVersionUID = 1L;
    /**
     * id
     * 主键id
     */
    private java.lang.Long id;

    public java.lang.Long getId() {
        return this.id;
    }

    public void setId(java.lang.Long id) {
        this.id = id;
    }

    /**
     * member_id
     * 用户id
     */
    private java.lang.Long memberId;

    public Long getMemberId() {
        return memberId;
    }

    public void setMemberId(Long memberId) {
        this.memberId = memberId;
    }



    /**
     * api_key
     */
    private java.lang.String apiKey;

    public java.lang.String getApiKey() {
        return this.apiKey;
    }

    public void setApiKey(java.lang.String apiKey) {
        this.apiKey = apiKey;
    }

    /**
     * api_secret
     */
    private java.lang.String apiSecret;

    public java.lang.String getApiSecret() {
        return this.apiSecret;
    }

    public void setApiSecret(java.lang.String apiSecret) {
        this.apiSecret = apiSecret;
    }

    /**
     * is_deleted
     * 是否删除 1、Y 是 2、N 否
     */
    private java.lang.String isDeleted;

    public java.lang.String getIsDeleted() {
        return this.isDeleted;
    }

    public void setIsDeleted(java.lang.String isDeleted) {
        this.isDeleted = isDeleted;
    }

    /**
     * CREATOR
     * 创建人
     */
    private java.lang.String creator;

    public java.lang.String getCreator() {
        return this.creator;
    }

    public void setCreator(java.lang.String creator) {
        this.creator = creator;
    }

    /**
     * CREATED_TIME
     * 创建时间
     */
    private java.util.Date createdTime;

    public java.util.Date getCreatedTime() {
        return this.createdTime;
    }

    public void setCreatedTime(java.util.Date createdTime) {
        this.createdTime = createdTime;
    }

    /**
     * MODIFIER
     * 修改人
     */
    private java.lang.String modifier;

    public java.lang.String getModifier() {
        return this.modifier;
    }

    public void setModifier(java.lang.String modifier) {
        this.modifier = modifier;
    }

    /**
     * MODIFIED_TIME
     * 修改时间
     */
    private java.util.Date modifiedTime;

    public java.util.Date getModifiedTime() {
        return this.modifiedTime;
    }

    public void setModifiedTime(java.util.Date modifiedTime) {
        this.modifiedTime = modifiedTime;
    }

    /**
     * SYS_VERSION
     * 乐观锁,版本号
     */
    private java.lang.Integer sysVersion;

    public java.lang.Integer getSysVersion() {
        return this.sysVersion;
    }

    public void setSysVersion(java.lang.Integer sysVersion) {
        this.sysVersion = sysVersion;
    }

}